diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/CdmSingleAttributeMapperBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/CdmSingleAttributeMapperBase.java
index be44bc123b..ed58f606b6 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/CdmSingleAttributeMapperBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/CdmSingleAttributeMapperBase.java
@@ -1,86 +1,87 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping;
-
-import java.util.ArrayList;
-import java.util.HashSet;
-import java.util.List;
-import java.util.Set;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-/**
- * Mapper base class mapping a single source attribute to a single destination attribute.
- *
- * @author a.mueller
- * @since 05.08.2008
- */
-public abstract class CdmSingleAttributeMapperBase extends CdmAttributeMapperBase{
-
-	@SuppressWarnings("unused")
-	private static final Logger logger = LogManager.getLogger(CdmSingleAttributeMapperBase.class);
-
-	private String sourceValue;
-	private String destinationValue;
-	protected Object defaultValue;
-
-	protected CdmSingleAttributeMapperBase(String sourceAttributString, String destinationAttributeString){
-		this(sourceAttributString, destinationAttributeString, null);
-	}
-
-	protected CdmSingleAttributeMapperBase(String sourceAttributString, String destinationAttributeString, Object defaultValue){
-		this.sourceValue = sourceAttributString;
-		this.destinationValue = destinationAttributeString;
-		this.defaultValue = defaultValue;
-	}
-
-	public String getSourceAttribute(){
-		return sourceValue;
-	}
-
-	public String getDestinationAttribute(){
-		return destinationValue;
-	}
-
-	@Override
-	public Set<String> getSourceAttributes(){
-		Set<String>  result = new HashSet<>();
-		result.add(sourceValue);
-		return result;
-	}
-
-	@Override
-	public Set<String> getDestinationAttributes(){
-		Set<String> result = new HashSet<>();
-		if(destinationValue != null){
-			result.add(destinationValue);
-		}
-		return result;
-	}
-
-	@Override
-	public List<String> getSourceAttributeList(){
-		List<String> result = new ArrayList<>();
-		result.add(sourceValue);
-		return result;
-	}
-
-	@Override
-	public List<String> getDestinationAttributeList(){
-		List<String> result = new ArrayList<>();
-		if(destinationValue != null){
-			result.add(destinationValue);
-		}
-		return result;
-	}
-
-	@SuppressWarnings("rawtypes")
-    public abstract Class getTypeClass();
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping;
+
+import java.util.ArrayList;
+import java.util.HashSet;
+import java.util.List;
+import java.util.Set;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+/**
+ * Mapper base class mapping a single source attribute to a single destination attribute.
+ *
+ * @author a.mueller
+ * @since 05.08.2008
+ */
+public abstract class CdmSingleAttributeMapperBase extends CdmAttributeMapperBase{
+
+	@SuppressWarnings("unused")
+	private static final Logger logger = LogManager.getLogger();
+
+	private String sourceValue;
+	private String destinationValue;
+	protected Object defaultValue;
+
+	protected CdmSingleAttributeMapperBase(String sourceAttributString, String destinationAttributeString){
+		this(sourceAttributString, destinationAttributeString, null);
+	}
+
+	protected CdmSingleAttributeMapperBase(String sourceAttributString, String destinationAttributeString, Object defaultValue){
+		this.sourceValue = sourceAttributString;
+		this.destinationValue = destinationAttributeString;
+		this.defaultValue = defaultValue;
+	}
+
+	public String getSourceAttribute(){
+		return sourceValue;
+	}
+
+	public String getDestinationAttribute(){
+		return destinationValue;
+	}
+
+	@Override
+	public Set<String> getSourceAttributes(){
+		Set<String>  result = new HashSet<>();
+		result.add(sourceValue);
+		return result;
+	}
+
+	@Override
+	public Set<String> getDestinationAttributes(){
+		Set<String> result = new HashSet<>();
+		if(destinationValue != null){
+			result.add(destinationValue);
+		}
+		return result;
+	}
+
+	@Override
+	public List<String> getSourceAttributeList(){
+		List<String> result = new ArrayList<>();
+		result.add(sourceValue);
+		return result;
+	}
+
+	@Override
+	public List<String> getDestinationAttributeList(){
+		List<String> result = new ArrayList<>();
+		if(destinationValue != null){
+			result.add(destinationValue);
+		}
+		return result;
+	}
+
+	@SuppressWarnings("rawtypes")
+    public abstract Class getTypeClass();
 }
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbIgnoreMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbIgnoreMapper.java
index 7a96e9413d..9aa43230e8 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbIgnoreMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbIgnoreMapper.java
@@ -1,71 +1,72 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.cdm.io.common.mapping;
-
-import java.sql.ResultSet;
-import java.sql.SQLException;
-
-import org.apache.commons.lang3.StringUtils;
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbImportStateBase;
-import eu.etaxonomy.cdm.model.common.CdmBase;
-
-/**
- * This mapper does not change any import object, but keeps the information that a database
- * attribute does not need to be mapped.
- *
- * @author a.mueller
- * @since 25.02.2010
- */
-public class DbIgnoreMapper
-        extends DbSingleAttributeImportMapperBase<DbImportStateBase<?,?>, CdmBase> {
-
-    private static final Logger logger = LogManager.getLogger(DbIgnoreMapper.class);
-
-//*************************** FACTORY ***************************************************************//
-
-	public static DbIgnoreMapper NewInstance(String dbAttributeToIgnore){
-		return new DbIgnoreMapper(dbAttributeToIgnore, null, null, null);
-	}
-
-	public static DbIgnoreMapper NewInstance(String dbAttributeToIgnore, String ignoreReason){
-		return new DbIgnoreMapper(dbAttributeToIgnore, null, null, ignoreReason);
-	}
-
-//*************************** VARIABLES ***************************************************************//
-
-	private String ignoreReason;
-
-//*************************** CONSTRUCTOR ***************************************************************//
-
-	protected DbIgnoreMapper(String dbAttributString, String cdmAttributeString, Object defaultValue, String ignoreReason) {
-		super(dbAttributString, cdmAttributeString, defaultValue);
-		this.ignoreReason = ignoreReason;
-	}
-
-	@Override
-	public CdmBase invoke(ResultSet rs, CdmBase cdmBase) throws SQLException {
-		return cdmBase; //do nothing
-	}
-
-	@Override
-	public Class getTypeClass() {
-		return null;  //not needed
-	}
-
-	@Override
-	public void initialize(DbImportStateBase<?,?> state, Class<? extends CdmBase> destinationClass) {
-		String localIgnoreReason = "";
-		if (StringUtils.isNotBlank(ignoreReason)){
-			localIgnoreReason = "(" + ignoreReason +")";
-	}
-		logger.warn(this.getSourceAttribute() +  " ignored" +  localIgnoreReason);
-	}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.io.common.mapping;
+
+import java.sql.ResultSet;
+import java.sql.SQLException;
+
+import org.apache.commons.lang3.StringUtils;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbImportStateBase;
+import eu.etaxonomy.cdm.model.common.CdmBase;
+
+/**
+ * This mapper does not change any import object, but keeps the information that a database
+ * attribute does not need to be mapped.
+ *
+ * @author a.mueller
+ * @since 25.02.2010
+ */
+public class DbIgnoreMapper
+        extends DbSingleAttributeImportMapperBase<DbImportStateBase<?,?>, CdmBase> {
+
+    private static final Logger logger = LogManager.getLogger();
+
+//*************************** FACTORY ***************************************************************//
+
+	public static DbIgnoreMapper NewInstance(String dbAttributeToIgnore){
+		return new DbIgnoreMapper(dbAttributeToIgnore, null, null, null);
+	}
+
+	public static DbIgnoreMapper NewInstance(String dbAttributeToIgnore, String ignoreReason){
+		return new DbIgnoreMapper(dbAttributeToIgnore, null, null, ignoreReason);
+	}
+
+//*************************** VARIABLES ***************************************************************//
+
+	private String ignoreReason;
+
+//*************************** CONSTRUCTOR ***************************************************************//
+
+	protected DbIgnoreMapper(String dbAttributString, String cdmAttributeString, Object defaultValue, String ignoreReason) {
+		super(dbAttributString, cdmAttributeString, defaultValue);
+		this.ignoreReason = ignoreReason;
+	}
+
+	@Override
+	public CdmBase invoke(ResultSet rs, CdmBase cdmBase) throws SQLException {
+		return cdmBase; //do nothing
+	}
+
+	@Override
+	public Class getTypeClass() {
+		return null;  //not needed
+	}
+
+	@Override
+	public void initialize(DbImportStateBase<?,?> state, Class<? extends CdmBase> destinationClass) {
+		String localIgnoreReason = "";
+		if (StringUtils.isNotBlank(ignoreReason)){
+			localIgnoreReason = "(" + ignoreReason +")";
+	}
+		logger.warn(this.getSourceAttribute() +  " ignored" +  localIgnoreReason);
+	}
 }
\ No newline at end of file
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportAnnotationCreationMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportAnnotationCreationMapper.java
index 6018eee0ba..877003a4d7 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportAnnotationCreationMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportAnnotationCreationMapper.java
@@ -1,109 +1,110 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.io.common.mapping;
-
-import java.sql.ResultSet;
-import java.sql.SQLException;
-
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
-
-import eu.etaxonomy.cdm.io.common.DbImportStateBase;
-import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
-import eu.etaxonomy.cdm.model.common.Annotation;
-import eu.etaxonomy.cdm.model.common.AnnotationType;
-import eu.etaxonomy.cdm.model.common.Language;
-
-
-/**
- * Object creation mapper which creates an annotation type and an annotation.
- *
- * @author a.mueller
- * @since 11.03.2010
- */
-public class DbImportAnnotationCreationMapper extends DbImportSupplementCreationMapperBase<Annotation, AnnotatableEntity, DbImportStateBase<?, ?>, AnnotationType> {
-	private static final Logger logger = LogManager.getLogger(DbImportAnnotationCreationMapper.class);
-
-//************************** FACTORY METHODS ***************************************************************/
-
-
-	/**
-	 * @param dbAnnotatedObjectAttribute
-	 * @param annotatedObjectNamespace
-	 * @return
-	 */
-	public static DbImportAnnotationCreationMapper NewInstance(String dbAnnotatedObjectAttribute, String annotatedObjectNamespace){
-		return new DbImportAnnotationCreationMapper(dbAnnotatedObjectAttribute, annotatedObjectNamespace, null, null, null, null);
-	}
-
-	/**
-	 * Creates an annotation mapper which creates an annotation and sets the annotation text,
-	 * the annotation language and annotation (added to this annotation) holding the original
-	 * source id.
-	 * If one of the attribute is null the according value is not set.
-
-	 * @param dbAnnotatedObjectAttribute - obligatory
-	 * @param annotatedObjectNamespace - obligatory
-	 * @param dbAnnotationTextAttribute
-	 * @param language
-	 * @param dbIdAttribute
-	 * @param annotationType
-	 * @return
-	 */
-	public static DbImportAnnotationCreationMapper NewInstance(String dbAnnotatedObjectAttribute, String annotatedObjectNamespace, String dbAnnotationTextAttribute, Language language, String dbIdAttribute, AnnotationType annotationType){
-		return new DbImportAnnotationCreationMapper(dbAnnotatedObjectAttribute, annotatedObjectNamespace, dbAnnotationTextAttribute, language, dbIdAttribute, annotationType);
-	}
-
-// *******************************  VARIABLES ****************************************/
-
-	protected Language language;
-
-//********************************* CONSTRUCTOR ****************************************/
-
-	/**
-	 * @param dbSupplementValueAttribute
-	 * @param dbSupplementedObjectAttribute
-	 * @param dbIdAttribute
-	 * @param supplementedObjectNamespace
-	 * @param supplementType
-	 */
-	protected DbImportAnnotationCreationMapper(String dbSupplementedObjectAttribute, String supplementedObjectNamespace, String dbSupplementValueAttribute, Language language, String dbIdAttribute, AnnotationType supplementType) {
-		super(dbSupplementValueAttribute, dbSupplementedObjectAttribute, dbIdAttribute, supplementedObjectNamespace, supplementType);
-		this.language = language;
-	}
-
-//************************************ METHODS *******************************************/
-
-	@Override
-	protected boolean addSupplement(Annotation annotation, AnnotatableEntity annotatableEntity, String id) {
-		if (annotatableEntity != null){
-			annotatableEntity.addAnnotation(annotation);
-			return true;
-		}else{
-			String warning = "Annotatable entity (" + id + ") for annotation not found. Annotation not created.";
-			logger.warn(warning);
-			return false;
-		}
-	}
-
-	@Override
-	protected void setSupplementValue(ResultSet rs, Annotation annotation) throws SQLException {
-		String value = rs.getString(dbSupplementValueAttribute);
-		annotation.setText(value);
-	}
-
-	@Override
-	protected Annotation createObject(ResultSet rs) throws SQLException {
-		Annotation annotation = Annotation.NewInstance(null, supplementType, null);
-		if (language != null){
-			annotation.setLanguage(language);
-		}
-		return annotation;
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.io.common.mapping;
+
+import java.sql.ResultSet;
+import java.sql.SQLException;
+
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
+
+import eu.etaxonomy.cdm.io.common.DbImportStateBase;
+import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
+import eu.etaxonomy.cdm.model.common.Annotation;
+import eu.etaxonomy.cdm.model.common.AnnotationType;
+import eu.etaxonomy.cdm.model.common.Language;
+
+
+/**
+ * Object creation mapper which creates an annotation type and an annotation.
+ *
+ * @author a.mueller
+ * @since 11.03.2010
+ */
+public class DbImportAnnotationCreationMapper extends DbImportSupplementCreationMapperBase<Annotation, AnnotatableEntity, DbImportStateBase<?, ?>, AnnotationType> {
+
+    private static final Logger logger = LogManager.getLogger();
+
+//************************** FACTORY METHODS ***************************************************************/
+
+	/**
+	 * @param dbAnnotatedObjectAttribute
+	 * @param annotatedObjectNamespace
+	 * @return
+	 */
+	public static DbImportAnnotationCreationMapper NewInstance(String dbAnnotatedObjectAttribute, String annotatedObjectNamespace){
+		return new DbImportAnnotationCreationMapper(dbAnnotatedObjectAttribute, annotatedObjectNamespace, null, null, null, null);
+	}
+
+	/**
+	 * Creates an annotation mapper which creates an annotation and sets the annotation text,
+	 * the annotation language and annotation (added to this annotation) holding the original
+	 * source id.
+	 * If one of the attribute is null the according value is not set.
+
+	 * @param dbAnnotatedObjectAttribute - obligatory
+	 * @param annotatedObjectNamespace - obligatory
+	 * @param dbAnnotationTextAttribute
+	 * @param language
+	 * @param dbIdAttribute
+	 * @param annotationType
+	 * @return
+	 */
+	public static DbImportAnnotationCreationMapper NewInstance(String dbAnnotatedObjectAttribute, String annotatedObjectNamespace, String dbAnnotationTextAttribute, Language language, String dbIdAttribute, AnnotationType annotationType){
+		return new DbImportAnnotationCreationMapper(dbAnnotatedObjectAttribute, annotatedObjectNamespace, dbAnnotationTextAttribute, language, dbIdAttribute, annotationType);
+	}
+
+// *******************************  VARIABLES ****************************************/
+
+	protected Language language;
+
+//********************************* CONSTRUCTOR ****************************************/
+
+	/**
+	 * @param dbSupplementValueAttribute
+	 * @param dbSupplementedObjectAttribute
+	 * @param dbIdAttribute
+	 * @param supplementedObjectNamespace
+	 * @param supplementType
+	 */
+	protected DbImportAnnotationCreationMapper(String dbSupplementedObjectAttribute, String supplementedObjectNamespace, String dbSupplementValueAttribute, Language language, String dbIdAttribute, AnnotationType supplementType) {
+		super(dbSupplementValueAttribute, dbSupplementedObjectAttribute, dbIdAttribute, supplementedObjectNamespace, supplementType);
+		this.language = language;
+	}
+
+//************************************ METHODS *******************************************/
+
+	@Override
+	protected boolean addSupplement(Annotation annotation, AnnotatableEntity annotatableEntity, String id) {
+		if (annotatableEntity != null){
+			annotatableEntity.addAnnotation(annotation);
+			return true;
+		}else{
+			String warning = "Annotatable entity (" + id + ") for annotation not found. Annotation not created.";
+			logger.warn(warning);
+			return false;
+		}
+	}
+
+	@Override
+	protected void setSupplementValue(ResultSet rs, Annotation annotation) throws SQLException {
+		String value = rs.getString(dbSupplementValueAttribute);
+		annotation.setText(value);
+	}
+
+	@Override
+	protected Annotation createObject(ResultSet rs) throws SQLException {
+		Annotation annotation = Annotation.NewInstance(null, supplementType, null);
+		if (language != null){
+			annotation.setLanguage(language);
+		}
+		return annotation;
+	}
+}
